import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { currentSelectedBioEntityIdSelector } from '@/redux/modal/modal.selector';
import * as MolArt from 'molart';
import * as React from 'react';
import { useEffect } from 'react';

const containerId = 'molart-container';

export const MolArtModal: React.FC = () => {
  const uniprot = useAppSelector(currentSelectedBioEntityIdSelector);

  useEffect(() => {
    const molart = new MolArt({
      uniprotId: uniprot,
      containerId,
    });

    return () => {
      try {
        molart.destroy();
      } catch (e) {
        // molart.destroy errors are ignored as there's a conflict between react rerenders and molart initialization
        // eslint-disable-next-line no-console
        console.error(e);
      }
    };
  }, [uniprot]);

  return (
    <div className="flex h-full w-full items-center justify-center bg-white" id={containerId} />
  );
};
