import {
  Accordion,
  AccordionItem,
  AccordionItemButton,
  AccordionItemHeading,
  AccordionItemPanel,
} from '@/shared/Accordion';

type CollapsibleSectionProps = {
  title: string;
  children: React.ReactNode;
};

export const CollapsibleSection = ({
  title,
  children,
}: CollapsibleSectionProps): React.ReactNode => (
  <Accordion allowZeroExpanded>
    <AccordionItem>
      <AccordionItemHeading>
        <AccordionItemButton>{title}</AccordionItemButton>
      </AccordionItemHeading>
      <AccordionItemPanel>{children}</AccordionItemPanel>
    </AccordionItem>
  </Accordion>
);
