import { render, screen } from '@testing-library/react';
import { act } from 'react-dom/test-utils';
import { Columns } from './Columns.component';

describe('Columns - component', () => {
  it('should display select column accordion', async () => {
    render(<Columns />);

    expect(screen.getByText('Select column')).toBeInTheDocument();
    expect(screen.queryByTestId('checkbox-filter')).not.toBeVisible();
  });
  it('should display columns checkboxes', async () => {
    render(<Columns />);

    expect(screen.getByText('Select column')).toBeInTheDocument();
    expect(screen.queryByTestId('checkbox-filter')).not.toBeVisible();

    const navigationButton = screen.getByTestId('accordion-item-button');
    act(() => {
      navigationButton.click();
    });

    expect(screen.queryByTestId('checkbox-filter')).toBeVisible();
    expect(screen.queryByLabelText('References')).toBeVisible();
  });
});
