import { useContext } from 'react';
import { CheckboxFilter } from '../../CheckboxFilter';
import { CollapsibleSection } from '../../CollapsibleSection';
import { COLUMNS } from './Columns.constants';
import { ExportContext } from '../ExportCompound.context';

export const Columns = (): React.ReactNode => {
  const { setColumns } = useContext(ExportContext);

  return (
    <CollapsibleSection title="Select column">
      <CheckboxFilter options={COLUMNS} isSearchEnabled={false} onCheckedChange={setColumns} />
    </CollapsibleSection>
  );
};
