import { createContext } from 'react';
import { CheckboxItem } from '../CheckboxFilter/CheckboxFilter.component';

export type ExportContextType = {
  setTypes: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setColumns: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setAnnotations: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setIncludedCompartmentPathways: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setExcludedCompartmentPathways: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  handleDownloadElements: () => void;
  handleDownloadNetwork: () => void;
};

export const ExportContext = createContext<ExportContextType>({
  setTypes: () => {},
  setColumns: () => {},
  setAnnotations: () => {},
  setIncludedCompartmentPathways: () => {},
  setExcludedCompartmentPathways: () => {},
  handleDownloadElements: () => {},
  handleDownloadNetwork: () => {},
});
