import { render, screen } from '@testing-library/react';
import {
  InitialStoreState,
  getReduxWrapperWithStore,
} from '@/utils/testing/getReduxWrapperWithStore';
import { StoreType } from '@/redux/store';
import { Types } from './Types.component';

const renderComponent = (initialStoreState: InitialStoreState = {}): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore(initialStoreState);

  return (
    render(
      <Wrapper>
        <Types />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('Types Component', () => {
  test('renders without crashing', () => {
    renderComponent();
    expect(screen.getByText('Select types')).toBeInTheDocument();
  });
});
