import { getCheckboxElements } from './Types.utils';

describe('getCheckboxElements', () => {
  it('should return an empty array when elementTypes is undefined', () => {
    const result = getCheckboxElements(undefined);
    expect(result).toEqual([]);
  });

  it('should map elementTypes to MappedElementTypes and exclude duplicates based on name and parentClass', () => {
    const elementTypes = [
      { className: 'class1', name: 'type1', parentClass: 'parent1' },
      { className: 'class2', name: 'type2', parentClass: 'parent2' },
      { className: 'class1', name: 'type1', parentClass: 'parent1' },
      { className: 'class3', name: 'type3', parentClass: 'parent3' },
      { className: 'class2', name: 'type2', parentClass: 'parent2' },
    ];

    const result = getCheckboxElements(elementTypes);

    expect(result).toEqual([
      { id: 'type1', label: 'type1' },
      { id: 'type2', label: 'type2' },
      { id: 'type3', label: 'type3' },
    ]);
  });

  it('should handle an empty array of elementTypes', () => {
    const result = getCheckboxElements([]);
    expect(result).toEqual([]);
  });

  it('should return an empty array when elementTypes is undefined', () => {
    const result = getCheckboxElements(undefined);
    expect(result).toEqual([]);
  });
});
