import { getDownloadElementsBodyRequest } from './getDownloadElementsBodyRequest';

describe('getDownloadElementsBodyRequest', () => {
  it('should return the correct DownloadBodyRequest object', () => {
    const types = [
      { id: '1', label: 'Type 1' },
      { id: '2', label: 'Type 2' },
    ];
    const columns = [
      { id: '1', label: 'Column 1' },
      { id: '2', label: 'Column 2' },
    ];
    // eslint-disable-next-line no-magic-numbers
    const modelIds = [1, 2, 3];
    const annotations = [
      { id: '1', label: 'Annotation 1' },
      { id: '2', label: 'Annotation 2' },
    ];
    const includedCompartmentPathways = [
      { id: '1', label: 'Compartment 1' },
      { id: '2', label: 'Compartment 2' },
    ];
    const excludedCompartmentPathways = [
      { id: '1', label: 'Compartment 3' },
      { id: '2', label: 'Compartment 4' },
    ];

    const result = getDownloadElementsBodyRequest({
      types,
      columns,
      modelIds,
      annotations,
      includedCompartmentPathways,
      excludedCompartmentPathways,
    });

    expect(result).toEqual({
      types: ['Type 1', 'Type 2'],
      columns: ['Column 1', 'Column 2'],
      // eslint-disable-next-line no-magic-numbers
      submaps: [1, 2, 3],
      annotations: ['Annotation 1', 'Annotation 2'],
      includedCompartmentIds: ['Compartment 1', 'Compartment 2'],
      excludedCompartmentIds: ['Compartment 3', 'Compartment 4'],
    });
  });
});
