import { CheckboxItem } from '../../CheckboxFilter/CheckboxFilter.component';

type DownloadBodyRequest = {
  types: string[];
  columns: string[];
  submaps: number[];
  annotations: string[];
  includedCompartmentIds: string[];
  excludedCompartmentIds: string[];
};

type GetDownloadBodyRequestProps = {
  types: CheckboxItem[];
  columns: CheckboxItem[];
  modelIds: number[];
  annotations: CheckboxItem[];
  includedCompartmentPathways: CheckboxItem[];
  excludedCompartmentPathways: CheckboxItem[];
};

export const getDownloadElementsBodyRequest = ({
  types,
  columns,
  modelIds,
  annotations,
  includedCompartmentPathways,
  excludedCompartmentPathways,
}: GetDownloadBodyRequestProps): DownloadBodyRequest => ({
  types: types.map(type => type.label),
  columns: columns.map(column => column.label),
  submaps: modelIds,
  annotations: annotations.map(annotation => annotation.label),
  includedCompartmentIds: includedCompartmentPathways.map(compartment => compartment.label),
  excludedCompartmentIds: excludedCompartmentPathways.map(compartment => compartment.label),
});
