import { Fill, Stroke, Style } from 'ol/style';
import { fromExtent } from 'ol/geom/Polygon';
import Feature from 'ol/Feature';
import type Polygon from 'ol/geom/Polygon';

const createFeatureFromExtent = ([xMin, yMin, xMax, yMax]: number[]): Feature<Polygon> =>
  new Feature({ geometry: fromExtent([xMin, yMin, xMax, yMax]) });

const getBioEntityOverlayFeatureStyle = (color: string): Style =>
  new Style({ fill: new Fill({ color }), stroke: new Stroke({ color: 'black', width: 1 }) });

export const createOverlayGeometryFeature = (
  [xMin, yMin, xMax, yMax]: number[],
  color: string,
): Feature<Polygon> => {
  const feature = createFeatureFromExtent([xMin, yMin, xMax, yMax]);
  feature.setStyle(getBioEntityOverlayFeatureStyle(color));
  return feature;
};
