import { createSlice } from '@reduxjs/toolkit';
import { LEGEND_INITIAL_STATE } from './legend.constants';
import { closeLegendReducer, openLegendReducer } from './legend.reducers';

const legendSlice = createSlice({
  name: 'legend',
  initialState: LEGEND_INITIAL_STATE,
  reducers: {
    openLegend: openLegendReducer,
    closeLegend: closeLegendReducer,
  },
});

export const { openLegend, closeLegend } = legendSlice.actions;

export default legendSlice.reducer;
