import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { addOverlay, getAllPublicOverlaysByProjectId } from './overlays.thunks';
import { OverlaysState } from './overlays.types';

export const getAllPublicOverlaysByProjectIdReducer = (
  builder: ActionReducerMapBuilder<OverlaysState>,
): void => {
  builder.addCase(getAllPublicOverlaysByProjectId.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getAllPublicOverlaysByProjectId.fulfilled, (state, action) => {
    state.data = action.payload || [];
    state.loading = 'succeeded';
  });
  builder.addCase(getAllPublicOverlaysByProjectId.rejected, state => {
    state.loading = 'failed';
    // TODO to discuss manage state of failure
  });
};

export const addOverlayReducer = (builder: ActionReducerMapBuilder<OverlaysState>): void => {
  builder.addCase(addOverlay.pending, state => {
    state.addOverlay.loading = 'pending';
  });
  builder.addCase(addOverlay.fulfilled, state => {
    state.addOverlay.loading = 'succeeded';
  });
  builder.addCase(addOverlay.rejected, state => {
    state.addOverlay.loading = 'failed';
    // TODO to discuss manage state of failure
  });
};
