import { createSlice } from '@reduxjs/toolkit';
import { addOverlayReducer, getAllPublicOverlaysByProjectIdReducer } from './overlays.reducers';
import { OverlaysState } from './overlays.types';

const initialState: OverlaysState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
  addOverlay: {
    loading: 'idle',
    error: { name: '', message: '' },
  },
};

const overlaysState = createSlice({
  name: 'overlays',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getAllPublicOverlaysByProjectIdReducer(builder);
    addOverlayReducer(builder);
  },
});

export default overlaysState.reducer;
