import { expandHexToFullFormatIfItsShorthanded } from './hexToRgb';

const HEX_RADIX = 16;
const EXPECTED_HEX_LENGTH = 2;
const MAX_RGB_VALUE = 255;
const DEFAULT_ALPHA = 1;

export const addAlphaToHexString = (hexString: string, alpha: number = DEFAULT_ALPHA): string => {
  const fullHexString = expandHexToFullFormatIfItsShorthanded(hexString);

  const alphaHex = Math.round(alpha * MAX_RGB_VALUE)
    .toString(HEX_RADIX)
    .padStart(EXPECTED_HEX_LENGTH, '0');

  return `${fullHexString}${alphaHex}`;
};
